<div class="animated fadeIn">
	<div class="card">
		<div class="card-header">
			<i class="icon-drop"></i> Reset
		</div>
		<div class="card-body">
			<div class="row">
				<div class="col-lg-6">
					<div class="card">
						<div class="card-header">
							<strong>Devices</strong>
						</div>
						<div class="card-body">
							<div class="form-group row">
								<div class="col-md-12">
									<div class="input-group">
										<label class="col-md-3 col-form-label" for="multiple-select">Device</label>
					 					<input type="text" id="device" name="device"
											class="form-control" 5ngModel="device" 
											placeholder="5f:dd:c2:a2:33:69"> <span
											class="input-group-append">
											<button type="button" class="btn btn-primary"
												(click)="addDeviceToList()">
												<i class="fa fa-plus-circle fa-lg mt-1"></i> Add
											</button>
										</span>
									</div>
								</div>
							</div>
							<div class="form-group row">
								<div class="col-md-12">
									<label class="col-md-3 col-form-label" for="multiple-select">
										Device list
									</label> 
									<select id="device_list" name="device_list"
										[(ngModel)]="selectedDevice" class="form-control" size="4">
										<option *ngFor="let dvc of device_list" [value]="dvc.id">{{dvc.name}}
										</option>
									</select>
								</div>
							</div>
						<div class="text-center">
							<button type="reset" class="btn btn-sm btn-danger" (click)="removeDeviceFromList(selectedDevice)">
								<i class="fa fa-ban"></i> Remove Selected
							</button>
						</div>
						</div>
						<div class="card-footer text-center">
							<button type="submit" class="btn btn-sm btn-primary" (click)="autoDetectDevices()">
								<i class="fa fa-ban"></i> Autodetect
							</button>
							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
							<button type="button" class="btn btn-sm btn-danger" (click)="clearAllList()">
								<i class="fa fa-ban"></i> Clear List
							</button>
						</div>
					</div>

				</div>

			</div>
		</div>

		<div class="card-footer text-center">
			<button type="submit" class="btn btn-sm btn-primary">
				<i class="fa fa-dot-circle-o"></i> Start Reset
			</button>
			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			<button type="reset" class="btn btn-sm btn-danger" (click)="cancel()">
				<i class="fa fa-ban"></i> Cancel
			</button>
		</div>
	</div>
	<!--  /div-->
</div>

